##### ip::basic_resolver::resolve (10 of 10 overloads)

Perform reverse resolution of an endpoint to a list of entries.

    results_type resolve(
        const endpoint_type & e,
        asio::error_code & ec);

This function is used to resolve an endpoint into a list of endpoint entries.

###### Parameters

e

  An endpoint object that determines what endpoints will be returned.

ec

  Set to indicate what error occurred, if any.

###### Return Value

A range object representing the list of endpoint entries. An empty range is returned if an error occurs. A successful call to this function is guaranteed to return a non-empty range.